org.apache.lucene.benchmark.byTask.feeds

## Class DocMaker.DocState

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.DocMaker.DocState

- Enclosing class:
    DocMaker

      protected static class DocMaker.DocState
      extends Object

  Document state, supports reuse of field instances across documents (see `reuseFields` parameter).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocMaker.DocState(boolean reuseFields, FieldType ft, FieldType bodyFt)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocMaker.DocState

          public DocMaker.DocState(boolean reuseFields,
                           FieldType ft,
                           FieldType bodyFt)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.